XOSD_DESTROY(3)

NAME
xosd_destroy - Destroy an XOSD object

SYNOPSIS
#include <xosd.h>

int xosd_destroy (xosd *osd);

DESCRIPTION

xosd_destroy destroys an XOSD object freeing up any memory used. The osd object must have been created by xosd_create(3xosd).

ARGUMENTS

osd The object to destroy.

RETURN VALUE

On success 1 is returned, otherwise 0 is returned and xosd_error is set to indicate the reason for the error.

ENVIRONMENT

char *xosd_error
    A string to a text string describing the error, if one occurred.

HISTORY

The xosd_destroy function first appeared in version 2.0 of the XOSD library, replacing the now depricated xosd_uninit function.

AUTHORS

The XOSD library was originally written by André Renaud, and is currenly maintained by Tim Wright. This document was written by Michael JasonSmith.

BUGS

There are no known bugs with xosd_destroy. Bug reports can be sent to <xosd@ignavus.net>.

SEE ALSO

 xosd_create(3).